Support » Plugin: WPBook » Posting to open Facebook group – trouble granting permissions

  • I am trying to use WPbook to publish posts from my WordPress website to an open Facebook group. When I click the “checking permissions” button I see the following message:

    This page is where you can check and grant extended permissions, which enable WPBook to publish to your personal wall and/or to the walls of fan pages.

    To correct any of these (or if you see no further info below), Grant or re-grant permissions for your userid. (This is required if you intend to publish to your personal wall OR any fan pages.)

    The Facebook profile ID you are currently logged in to Facebook as is 1458326814439431. You have defined 1458326814439431 as your Facebook user id in WPBook Settings.

    FB profile 1458326814439431 has granted these permissions:

    Caught exception in getting permissions for user: REST API is deprecated for versions v2.1 and higherError code: 12

    How can I get the proper permissions so that the plugin works?

    https://wordpress.org/plugins/wpbook/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author John Eckman

    (@johneckman)

    Hmm. That’s an error I haven’t seen before – just validated in my own WPBook install I don’t get that error.

    Have you clicked on the link in “grant or regrant permissions for your userid”?

    It looks like for some reason your version of the app is seen as calling version 2.1 of the Facebook API, when it should be calling version 1.0.

    Is it possible you have another Facebook related plugin installed, which is including a newer version of a Facebook class / API library?

    Try it with all other plugins disabled

    Don’t all newly registered FB apps have to use 2.x and older ones can use 1 or 2.x depending on their URLs? That’s one of the reasons I canned Wordbooker – trying to support two different APIs with slightly different calls and very different returns was just too much work.

    Plugin Author John Eckman

    (@johneckman)

    Thanks Steve – that must be it. Because all my test apps are older apps they are able to use 1.x

    That means I’ll have to rewrite parts of WPBook and WPBook Lite to support new apps.

    jgupta07 looks like WPBook is not going to work for you until I rewrite that section to not use FQL or the REST API – using the newer graph API.

    Not sure when that will be.

    Plugin Author John Eckman

    (@johneckman)

    jgupta07 – try updating to the latest WPBook.

    I rewrote this weekend large portions of the plugin to use v2.1 of the Facebook API.

    That means all users of WPBook will now be using version 2.1 of the Facebook Graph API, which should future proof us for a while.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Posting to open Facebook group – trouble granting permissions’ is closed to new replies.